<?php
 
namespace CyclivePublic\UserBundle\Controller;
 
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\Security\Core\SecurityContext;
use FOS\UserBundle\Controller\SecurityController as BaseController;
 
class SecurityController extends BaseController
{
  protected function renderLogin(array $data)
  {
    // Sur la page du formulaire de connexion, on utilise la vue classique "login"
    // Cette vue hÃ©rite du layout et ne peut donc Ãªtre utilisÃ©e qu'individuellement
    if ($this->container->get('request')->attributes->get('_route') == 'fos_user_security_login') {
      $view = 'login';
    } else {
      // Mais sinon, il s'agit du formulaire de connexion intÃ©grÃ© au menu, on utilise la vue "login_content"
      // car il ne faut pas hÃ©riter du layout !
      $view = 'login_content';
    }
    $template = sprintf('FOSUserBundle:Security:%s.html.%s', $view, $this->container->getParameter('fos_user.template.engine'));
    return $this->container->get('templating')->renderResponse($template, $data);
  }
}

